POST api/NOIReceipt/generate

Request Information

URI Parameters

None.

Body Parameters

lnReceiptInput
NameDescriptionTypeAdditional information
html

string

None.

fileNumber

string

None.

receiptAmount

decimal number

None.

gstReceipt

boolean

None.

createdAt

date

None.

Request Formats

application/json, text/json

Sample:
{
  "html": "sample string 1",
  "fileNumber": "sample string 2",
  "receiptAmount": 3.0,
  "gstReceipt": true,
  "createdAt": "2026-08-05T16:24:39.2342663+05:30"
}

text/html

Sample:
{"html":"sample string 1","fileNumber":"sample string 2","receiptAmount":3.0,"gstReceipt":true,"createdAt":"2026-08-05T16:24:39.2342663+05:30"}

application/xml, text/xml

Sample:
<lnReceiptInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Models">
  <createdAt>2026-08-05T16:24:39.2342663+05:30</createdAt>
  <fileNumber>sample string 2</fileNumber>
  <gstReceipt>true</gstReceipt>
  <html>sample string 1</html>
  <receiptAmount>3</receiptAmount>
</lnReceiptInput>

application/x-www-form-urlencoded

Sample:

Sample not available.

text/comma-separated-values

Sample:

Sample not available.

Response Information

Resource Description

lnReceiptOutput
NameDescriptionTypeAdditional information
PdfUrl

string

None.

ReceiptNumber

string

None.

CreatedAt

string

None.

ReceiptAmount

decimal number

None.

ResponseCode

integer

None.

ResponseMessage

string

None.

Response Formats

application/json, text/json

Sample:
{
  "PdfUrl": "sample string 1",
  "ReceiptNumber": "sample string 2",
  "CreatedAt": "sample string 3",
  "ReceiptAmount": 4.0,
  "ResponseCode": 5,
  "ResponseMessage": "sample string 6"
}

text/html

Sample:
{"PdfUrl":"sample string 1","ReceiptNumber":"sample string 2","CreatedAt":"sample string 3","ReceiptAmount":4.0,"ResponseCode":5,"ResponseMessage":"sample string 6"}

application/xml, text/xml

Sample:
<lnReceiptOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Models">
  <ResponseCode>5</ResponseCode>
  <ResponseMessage>sample string 6</ResponseMessage>
  <CreatedAt>sample string 3</CreatedAt>
  <PdfUrl>sample string 1</PdfUrl>
  <ReceiptAmount>4</ReceiptAmount>
  <ReceiptNumber>sample string 2</ReceiptNumber>
</lnReceiptOutput>

text/comma-separated-values

Sample:

Sample not available.